## glyr 1.0.0~siduction.2

=== debian/changelog ===
glyr (1.0.0~siduction.2) unstable; urgency=low

  * needed  ${misc:Depends} added
  * linitan whining because numbering change
  * hardening set

 -- Alf Gaida <agaida@siduction.org>  Sun, 10 Feb 2013 23:15:56 +0100

glyr (1.0.0~siduction.1) unstable; urgency=low

  * introduced me as maintainer
  * new sources
  * debian/copyright fixed
  * debian/rules maintainer-clean added
  * debian/rules get-orig-source added
  * debhelpers >= 9
  * standards 3.9.4
  * compat 9
  * changed numbering to a no debian number

 -- Alf Gaida <agaida@siduction.org>  Sun, 10 Feb 2013 23:01:45 +0100

glyr (0.9.0-1.siduction.2) unstable; urgency=low

  * Try to fix the chrash in pragha.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 09 Dec 2011 20:41:35 +0100

glyr (0.9.0-1.siduction.1) unstable; urgency=low

  * Initial release.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 09 Dec 2011 19:17:30 +0100
