=== debian/control ===
Source: glyr
Priority: extra
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 9), cmake,
 libcurl4-openssl-dev, libsqlite3-dev, libglib2.0-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://github.com/sahib/glyr
Vcs-Git: git://git.siduction.org/code/glyr.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/glyr.git;a=summary

Package: glyr
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglyr1 (= ${binary:Version})
Description: music related metadata searchengine
 Glyr is a music related metadata searchengine, both with commandline
 interface and C API

Package: libglyr-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libglyr1 (= ${binary:Version})
Description: Development files for libglyr
 The development files for libglyr

Package: libglyr1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libglyr for Glyr
 libglyr is for Glyr
