=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

%:
	dh $@ 

maintainer-clean:
	dh_clean
	rm -rf $$(ls | grep -v debian)

get-orig-source: maintainer-clean
	if [ ! -d .xyz ]; then \
	    git clone git://github.com/sahib/glyr.git .xyz; \
	    cd .xyz; \
	    git fetch --all; \
	else \
	    cd .xyz; \
	    git reset --hard; \
	    git clean --force; \
	    git pull --all; \
	fi; \
	cp -a * ..; \
	cp .clang_complete ..; \
