## glyr 1.0.0

=== debian/changelog ===
glyr (1.0.0-4) unstable; urgency=low

  * Don't change mode of example (fixes FTBFS)

 -- Etienne Millon <etienne.millon@gmail.com>  Mon, 01 Oct 2012 00:44:16 +0200

glyr (1.0.0-3) unstable; urgency=low

  * Fix permissions of example file only if it exists (fixes FTBFS)

 -- Etienne Millon <etienne.millon@gmail.com>  Sat, 29 Sep 2012 21:54:05 +0200

glyr (1.0.0-2) unstable; urgency=low

  * Version dependency on ruby (Closes: #688841)
  * Move documentation to its own package (Closes: #688821)
  * Don't build documentation package if b-d-indep are not installed
    (Closes: #688899)
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Etienne Millon <etienne.millon@gmail.com>  Fri, 28 Sep 2012 17:58:45 +0200

glyr (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #651416).
  * Add a patch to set correct build flags (-O2 -g)

 -- Etienne Millon <etienne.millon@gmail.com>  Sat, 08 Sep 2012 15:18:12 +0200
