=== debian/watch ===
version=3
https://github.com/sahib/glyr/downloads \
  /downloads/sahib/glyr/glyr-(.+)\.tar\.bz2
