=== debian/control ===
Source: glyr
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Etienne Millon <etienne.millon@gmail.com>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libcurl4-gnutls-dev | libcurl-dev,
 libglib2.0-dev,
 libsqlite3-dev,
Build-Depends-Indep:
 gtk-doc-tools,
 ruby (>= 4.9)
Standards-Version: 3.9.4
Section: libs
Homepage: http://github.com/sahib/glyr
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/glyr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/glyr.git

Package: libglyr1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: search engine for music-related metadata
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.

Package: libglyr1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libglyr1 (= ${binary:Version}),
 ${misc:Depends}
Description: search engine for music-related metadata - debugging symbols
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains the debugging symbols.

Package: libglyr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcurl4-gnutls-dev | libcurl-dev,
 libglib2.0-dev,
 libglyr1 (= ${binary:Version}),
 libsqlite3-dev,
 ${misc:Depends}
Suggests:
 libglyr-doc
Description: search engine for music-related metadata - development files
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains the header files necessary to build applications using
 libglyr.

Package: libglyr-doc
Section: doc
Architecture: all
Breaks:
 libglyr-dev (<< 1.0.0-2)
Replaces:
 libglyr-dev (<< 1.0.0-2)
Depends:
 ${misc:Depends}
Description: search engine for music-related metadata - documentation
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains the documentation for developing with libglyr.

Package: glyrc
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: command-line interface to libglyr
 Glyr is a library to retrieve music-related metadata from several
 online providers (Amazon, Discogs, Musicbrainz...).
 .
 It can be used in media player programs to download cover art, lyrics,
 biography and much more.
 .
 This package contains a command-line interface to the library.
