## glyr 1.0.2

=== debian/changelog ===
glyr (1.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #731542)
  * Update my email address

 -- Etienne Millon <me@emillon.org>  Sat, 07 Dec 2013 18:43:21 +0100
