=== debian/changelog ===
glyr (1.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Etienne Millon <me@emillon.org>  Tue, 11 Feb 2014 18:53:08 +0100

glyr (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Etienne Millon <me@emillon.org>  Thu, 30 Jan 2014 21:20:57 +0100
