=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_LIB_DIR=lib/$(DEB_BUILD_MULTIARCH)

override_dh_auto_build:
	dh_auto_build
ifeq ($(shell dpkg-query -s gtk-doc-tools 1>/dev/null 2>&1 && echo yes),yes)
	cd doc ; ruby build_doc.rb
endif

override_dh_compress:
	dh_compress -Xasync_queue.c -Xexample.c

override_dh_strip:
	dh_strip --dbg-package=libglyr1-dbg
