## glyr 1.0.6+git20140423

=== debian/changelog ===
glyr (1.0.6+git20140423-1) unstable; urgency=medium

  * New upstream release
    - pick git snapshot 302c35e9 as 1.0.6 does not build

 -- Etienne Millon <me@emillon.org>  Fri, 09 May 2014 18:22:47 +0200
