=== debian/changelog ===
glyr (1.0.8-2) unstable; urgency=medium

  * Set build date from BUILD_DATE and BUILD_TIME instead of cpp macros.
  * Set correct version number e.g. in glyrc --version.

 -- Etienne Millon <me@emillon.org>  Mon, 16 Nov 2015 17:41:29 +0100

glyr (1.0.8-1) unstable; urgency=medium

  * Upload to unstable.

 -- Etienne Millon <me@emillon.org>  Mon, 27 Apr 2015 22:05:05 +0200

glyr (1.0.8-1~exp1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Update Vcs-Browser URL

 -- Etienne Millon <me@emillon.org>  Sat, 14 Feb 2015 21:33:03 +0100
