=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
 Build-Depends-Indep:
  gtk-doc-tools,
  ruby (>= 4.9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://github.com/sahib/glyr
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/glyr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/glyr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/glyr.git
 
 Package: libglyr1
 Architecture: any
