=== debian/changelog ===
glyr (1.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Use a secure URI for Vcs-Git.
  * Fix some typos in glyrc.
  * Set hardening=+all.

 -- Etienne Millon <me@emillon.org>  Sun, 22 May 2016 18:15:31 +0200
