=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Build-Depends-Indep:
  gtk-doc-tools,
  ruby (>= 4.9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://github.com/sahib/glyr
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/glyr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/glyr.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/glyr.git
 
 Package: libglyr1
