## glyr 1.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # ------------------------------------------------
 SET(GLYR_VERSION_MAJOR "1")
 SET(GLYR_VERSION_MINOR "0")
-SET(GLYR_VERSION_MICRO "6")
+SET(GLYR_VERSION_MICRO "9")
 SET(GLYR_VERSION_NAME  "Raving Raven")
 # ------------------------------------------------
