=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 SET(GENERIC_LIB_VERSION ${GLYR_VERSION_MAJOR}.${GLYR_VERSION_MINOR})
 SET(GLYR_API_SOVERSION 1)
+IF(DEFINED ENV{BUILD_DATE})
+    ADD_DEFINITIONS(-DBUILD_DATE="$ENV{BUILD_DATE}")
+ENDIF()
+IF(DEFINED ENV{BUILD_TIME})
+    ADD_DEFINITIONS(-DBUILD_TIME="$ENV{BUILD_TIME}")
+ENDIF()
 
 # Link libglyr as shared library
 ADD_LIBRARY(glyr SHARED	${LIB_SOURCE_LOCATIONS})
