=== debian/changelog ===
glyr (1.0.10-3) unstable; urgency=medium

  * Team upload
  * Allow stderr output (Closes: #1111899)
  * Override minimum CMake version (Closes: #1112963)
  * Import curl.h instead of a header subset (Closes: #1114127)

 -- Bastian Germann <bage@debian.org>  Tue, 09 Sep 2025 18:08:03 +0200

glyr (1.0.10-2.1) unstable; urgency=medium

  [ Gabriel F. T. Gomes ]
  * Non-maintainer upload.
  * Fix build issue in documentation (Closes: #1094074)

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 01 Feb 2025 23:09:44 -0800

glyr (1.0.10-2) unstable; urgency=medium

  * Team upload
  * Fix build/host confusion (Closes: #913519)
  * autopkgtest: mark superficial (Closes: #969831)
  * Clean generated docs (Closes: #1044876)

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- Bastian Germann <bage@debian.org>  Wed, 27 Sep 2023 09:55:59 +0200

glyr (1.0.10-1) unstable; urgency=medium

  * New upstream release.
    - Remove applied patch for typos.
  * Bump Standards-Version to 4.1.3.
    - Use https URL in debian/copyright.
    - Remove Priority: extra for debug package.
  * Set Vcs-* to salsa.debian.org
  * Remove manual debug package in favor of an automatic one.
  * Let gcc use SOURCE_DATE_EPOCH directly.
  * Add an autopkgtest.
  * Use https URL for Homepage.
  * Bump compat level to 10.

 -- Etienne Millon <me@emillon.org>  Mon, 05 Mar 2018 23:11:40 +0100
