=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: glyr
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Etienne Millon <me@emillon.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper-compat (= 10),
  libcurl4-gnutls-dev | libcurl-dev,
  libglib2.0-dev,
  libsqlite3-dev,
 Build-Depends-Indep:
  gtk-doc-tools,
  ruby (>= 4.9)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Section: libs
-Homepage: http://github.com/sahib/glyr
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/glyr.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/glyr.git
+Homepage: https://github.com/sahib/glyr
+Vcs-Git: https://salsa.debian.org/multimedia-team/glyr.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/glyr
 
 Package: libglyr1
 Architecture: any
@@ -32,23 +32,6 @@
  .
  It can be used in media player programs to download cover art, lyrics,
  biography and much more.
-
-Package: libglyr1-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- libglyr1 (= ${binary:Version}),
- ${misc:Depends}
-Description: search engine for music-related metadata - debugging symbols
- Glyr is a library to retrieve music-related metadata from several
- online providers (Amazon, Discogs, Musicbrainz...).
- .
- It can be used in media player programs to download cover art, lyrics,
- biography and much more.
- .
- This package contains the debugging symbols.
 
 Package: libglyr-dev
 Section: libdevel
