=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_LIB_DIR=lib/$(DEB_HOST_MULTIARCH) -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_build:
	dh_auto_build
ifeq ($(shell dpkg-query -s gtk-doc-tools 1>/dev/null 2>&1 && echo yes),yes)
	cd doc ; ruby build_doc.rb
endif

override_dh_compress:
	dh_compress -Xasync_queue.c -Xexample.c

override_dh_strip:
	dh_strip --dbgsym-migration='libglyr1-dbg (<< 1.0.10-1~)'
