=== debian/tests/control ===
Test-Command: glyrc --version
Restrictions: superficial, allow-stderr
Depends: glyrc
